Subject: Atlas 7" bench mill

From: [email-masked] (Paul Amaranth)
Date: 17 Dec 1993 14:13:34 GMT

I ran across an add for an Atlas 7" bench mill with power feed.  Does
anyone know anything about this machine?  I'm going to see if I can get
a look at it later today.

thanks
-- 
Paul Amaranth  Manager User Services - office: (313) 370 4541 (also voicemail)
(internet)     [email-masked]  | Amaranth's Law of Economics:
(bitnet)       amaranth@oakland               |  Brit Sports cars + horses
(uucp)         ...!uunet!umich!vela!amaranth  |            = $0